/**
 * @author Joel Hernandez <lifenautjoe@gmail.com>
 */
import { NoelEventListener } from './types';
import { NoelEvent } from './event';
import NoelImp from './noel';
export declare class NoelEventListenerManager {
    private listener;
    private event;
    private noel;
    constructor(listener: NoelEventListener, event: NoelEvent, noel: NoelImp);
    remove(): void;
    replay(bufferSize: number): NoelEventListenerManager;
}
